Bug 114135 - LSI Megaraid(2) performance subpar in RHEL3, using RHEL3 kernel
LSI Megaraid(2) performance subpar in RHEL3, using RHEL3 kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks: 106771
  Show dependency treegraph
 
Reported: 2004-01-22 17:25 EST by Jesse Keating
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Benchmarking results. Best if viewed with fixed-width font (3.72 KB, text/plain)
2004-01-22 17:30 EST, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2004-01-22 17:25:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Disk I/O performance, as reported by tiobench and bonnie++, is subpar
in RHEL3 when using an LSI 320-* raid card (megaraid or megaraid2
driver).  In comparison, using the latest Fedora Core 1 kernel on the
RHEL3 system greatly improves certian aspects of disk I/O.  Using an
Adaptec U320 raid card also improves performance.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install/update RHEL3
2. Use either megaraid or megaraid2 module
3. Test disk I/O with bonnie++ or tiobench
    

Actual Results:  Disk I/O is slow, especially in the deletes and
subsequently re-writes.  Reading is rather slow as well.

Expected Results:  Disk I/O performance should be on par with similar
cards, and SHOULD be faster or as fast as the free Fedora Core product.

Additional info:

Array is a 2 15Krpm u320 disk raid-1 

Bonnie++ from latest errata RHEL3 kernel:
Version  1.03       ------Sequential Output------ --Sequential Input-
--Random-
                    -Per Chr- --Block-- -Rewrite- -Per Chr- --Block--
--Seeks--
Machine        Size K/sec %CP K/sec %CP K/sec %CP K/sec %CP K/sec %CP
 /sec %CP
kickstation-178. 4G  6282  99 37427  28  9419   7  6373  98 21621  13
280.4   1
                    ------Sequential Create------ --------Random
Create--------
                    -Create-- --Read--- -Delete-- -Create-- --Read---
-Delete--
              files  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP
 /sec %CP
                 16   421  19 +++++ +++   555   2   428  18 +++++ +++
  477   9

Bonnie++ with FC1 kernel:
Version  1.03       ------Sequential Output------ --Sequential Input-
--Random-
                    -Per Chr- --Block-- -Rewrite- -Per Chr- --Block--
--Seeks--
Machine        Size K/sec %CP K/sec %CP K/sec %CP K/sec %CP K/sec %CP
 /sec %CP
kickstation-178. 4G  6151  98 30786  22 14692   7  6591  99 55606  12
537.1   1
                    ------Sequential Create------ --------Random
Create--------
                    -Create-- --Read--- -Delete-- -Create-- --Read---
-Delete--
              files  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP
 /sec %CP
                 16   700  29 +++++ +++  1198   4   728  29 +++++ +++
  879  18

tiobench latest RHEL3 errata kernel:
         File   Block  Num  Seq Read    Rand Read   Seq Write  Rand Write
  Dir    Size   Size   Thr Rate (CPU%) Rate (CPU%) Rate (CPU%) Rate (CPU%)
------- ------ ------- --- ----------- ----------- ----------- -----------
   .     1792   4096    1  357.5 56.4% 70.83 9.06% 38.68 33.0% 2.144 0.68%
   .     1792   4096    2  436.0 75.0% 82.55 13.2% 37.48 45.8% 2.191 1.05%
   .     1792   4096    4  561.1 119.% 120.4 23.1% 36.94 64.2% 2.176 1.76%
   .     1792   4096    8  658.1 152.% 155.6 32.3% 25.53 51.4% 2.216 2.09%

tiobench FC1 kernel:
Size is MB, BlkSz is Bytes, Read, Write, and Seeks are MB/sec
                                                                     
                                                                     
                                         
         File   Block  Num  Seq Read    Rand Read   Seq Write  Rand Write
  Dir    Size   Size   Thr Rate (CPU%) Rate (CPU%) Rate (CPU%) Rate (CPU%)
------- ------ ------- --- ----------- ----------- ----------- -----------
   .     1792   4096    1  865.5 100.% 695.9 89.0% 29.84 24.8% 2.233 0.85%
   .     1792   4096    2  995.3 142.% 854.7 136.% 30.65 35.0% 2.244 1.22%
   .     1792   4096    4  1137. 203.% 997.3 191.% 31.03 49.5% 2.258 1.83%
   .     1792   4096    8  882.3 174.% 16.16 3.36% 31.41 58.5% 2.291 2.12%

bonnie++ with Adaptec 2200S card RHEL3 kernel:
Version  1.03       ------Sequential Output------ --Sequential Input-
--Random-
                    -Per Chr- --Block-- -Rewrite- -Per Chr- --Block--
--Seeks--
Machine        Size K/sec %CP K/sec %CP K/sec %CP K/sec %CP K/sec %CP
 /sec %CP
kickstation-178. 4G  6283  99 39262  29 13733   7  6567  99 48733  13
386.1   1
                    ------Sequential Create------ --------Random
Create--------
                    -Create-- --Read--- -Delete-- -Create-- --Read---
-Delete--
              files  /sec %CP  /sec %CP  /sec %CP  /sec %CP  /sec %CP
 /sec %CP
                 16   433  19 +++++ +++   671   3   447  20 +++++ +++
  533  11

tiobench adaptec RHEL3 kernel
Size is MB, BlkSz is Bytes, Read, Write, and Seeks are MB/sec
 
         File   Block  Num  Seq Read    Rand Read   Seq Write  Rand Write
  Dir    Size   Size   Thr Rate (CPU%) Rate (CPU%) Rate (CPU%) Rate (CPU%)
------- ------ ------- --- ----------- ----------- ----------- -----------
   .     1792   4096    1  895.6 99.9% 688.0 88.0% 39.61 34.2% 3.486 1.11%
   .     1792   4096    2  1099. 137.% 847.1 108.% 38.86 49.7% 3.639 1.63%
   .     1792   4096    4  1278. 196.% 996.4 170.% 33.86 61.0% 3.657 2.73%
   .     1792   4096    8  1383. 232.% 1055. 185.% 31.73 67.1% 3.653 3.39%
Comment 1 Jesse Keating 2004-01-22 17:30:03 EST
Created attachment 97197 [details]
Benchmarking results.  Best if viewed with fixed-width font

The bugzilla form garbled the benchark output.	I've attached it in a text
file. View w/ fixed-width font.
Comment 2 Doug Ledford 2004-01-26 11:54:57 EST
Looks like another dup of 104633, marking as such.

*** This bug has been marked as a duplicate of 104633 ***
Comment 3 John Flanagan 2004-05-11 21:08:22 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html
Comment 4 Thomas 2005-03-03 11:31:40 EST
Hello, we have the same problem here with the megaraid2 driver version
2.10.8.2-RH1 provided with the RHEL 3.0 update 4 (2.4.21-27.0.2 x86_64
SMP).
Our platform is an Intel SE7525GP2 (Bios P07) motherboard with 2 dual
Nocona coupled with a Intel SRCS16 Raid card (rebranded LSI 150-6
Board, BIOS  G401,Firmware 713N ).

The problem :
We have configured two RAID 1 volumes, each consisting of 250GB SATA
disks.
When we made an installation with a big "/" partition (230GB), it
completed correctly but just after the first reboot, some random files
have been corrupted. FSCK complain that the system wasn't shutdown
correctly and run endlessly because it found errors. It is always
reproductible.
Using a small partition, 8GB in our test , seems to "solve" the problem.

If you need more information let me know.
Comment 5 Thomas 2005-03-03 11:35:56 EST
please ignore my last post it's related to #141360.
Multiple tab browsing error, I'm sorry.

Note You need to log in before you can comment on or make changes to this bug.